Results 1 to 2 of 2

Thread: unable apt-get update again

  1. #1
    Join Date
    2019-Aug
    Posts
    4

    unable apt-get update again

    hi guys i have some problems again with apt-get update i solved update problem before something like mounth today its starts again
    i have 5.2.0-kali2-amd64
    this is my sources.list :

    deb https://http.kali.org/kali kali-rolling main non-free contrib
    # deb-src https://http.kali.org/kali kali-rolling main non-free contrib

    apt-get update


    Hit:1 http://repo.mysql.com/apt/debian jessie InRelease
    Hit:2 http://downloads.metasploit.com/data...-framework/apt lucid InRelease
    Hit:3 https://download.mono-project.com/repo/debian vs-stretch InRelease
    Hit:4 https://packages.microsoft.com/repos...n-stretch-prod stretch InRelease
    Get:5 https://mirror.karneval.cz/pub/linux/kali kali-rolling InRelease [30.5 kB]
    Fetched 30.5 kB in 12s (2,524 B/s)
    Reading package lists... Done
    N: Skipping acquire of configured file 'mysql-apt-config/binary-1386/Packages' as repository 'http://repo.mysql.com/apt/debian jessie InRelease' doesn't support architecture '1386'
    N: Skipping acquire of configured file 'mysql-apt-config/binary-armhf/Packages' as repository 'http://repo.mysql.com/apt/debian jessie InRelease' doesn't support architecture 'armhf'
    N: Skipping acquire of configured file 'mysql-5.6/binary-armhf/Packages' as repository 'http://repo.mysql.com/apt/debian jessie InRelease' doesn't support architecture 'armhf'
    N: Skipping acquire of configured file 'mysql-5.6/binary-1386/Packages' as repository 'http://repo.mysql.com/apt/debian jessie InRelease' doesn't support architecture '1386'
    N: Skipping acquire of configured file 'mysql-tools/binary-armhf/Packages' as repository 'http://repo.mysql.com/apt/debian jessie InRelease' doesn't support architecture 'armhf'
    N: Skipping acquire of configured file 'mysql-tools/binary-1386/Packages' as repository 'http://repo.mysql.com/apt/debian jessie InRelease' doesn't support architecture '1386'
    N: Skipping acquire of configured file 'mysql-tools-preview/binary-armhf/Packages' as repository 'http://repo.mysql.com/apt/debian jessie InRelease' doesn't support architecture 'armhf'
    N: Skipping acquire of configured file 'mysql-tools-preview/binary-1386/Packages' as repository 'http://repo.mysql.com/apt/debian jessie InRelease' doesn't support architecture '1386'
    N: Skipping acquire of configured file 'main/binary-1386/Packages' as repository 'http://downloads.metasploit.com/data/releases/metasploit-framework/apt lucid InRelease' doesn't support architecture '1386'
    N: Skipping acquire of configured file 'main/binary-1386/Packages' as repository 'https://download.mono-project.com/repo/debian vs-stretch InRelease' doesn't support architecture '1386'
    N: Skipping acquire of configured file 'main/binary-1386/Packages' as repository 'https://http.kali.org/kali kali-rolling InRelease' doesn't support architecture '1386'
    N: Skipping acquire of configured file 'non-free/binary-1386/Packages' as repository 'https://http.kali.org/kali kali-rolling InRelease' doesn't support architecture '1386'
    N: Skipping acquire of configured file 'contrib/binary-1386/Packages' as repository 'https://http.kali.org/kali kali-rolling InRelease' doesn't support architecture '1386'

    someone can help?

  2. #2
    Join Date
    2014-Feb
    Posts
    299
    You have some extra files in /etc/apt/sources.list.d that point to other repositories.

    The thing that sticks out the most those is the "1386" - that should be "i386" - an i not a 1. As for the rest of the issues, we can't really assist as we don't control those repositories, so we can't "fix" them. But my guess is once you fix the 1386 to i386, it will mostly be solved. You probably also need to set [arch=$arch] to only the architectures that the repositories support.

Similar Threads

  1. unable to update
    By sushanth in forum General Archive
    Replies: 0
    Last Post: 2015-07-07, 15:54

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •